summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2011-08-23 15:17:14 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2011-08-23 15:17:14 -0700
commit02c2c60e2ab74aad202644b40338c4ff008419b3 (patch)
treedfb0f72e836b372903fd4a26c5e3dda6dd58cebe
parentadd technical documentation about ref iteration (diff)
parentt/gitweb-lib.sh: skip gitweb tests when perl dependencies are not met (diff)
downloadtgif-02c2c60e2ab74aad202644b40338c4ff008419b3.tar.xz
Merge branch 'jc/no-gitweb-test-without-cgi-etc' into maint
* jc/no-gitweb-test-without-cgi-etc: t/gitweb-lib.sh: skip gitweb tests when perl dependencies are not met
-rw-r--r--t/gitweb-lib.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/gitweb-lib.sh b/t/gitweb-lib.sh
index 143eb1f240..292753f77c 100644
--- a/t/gitweb-lib.sh
+++ b/t/gitweb-lib.sh
@@ -107,4 +107,9 @@ perl -MEncode -e '$e="";decode_utf8($e, Encode::FB_CROAK)' >/dev/null 2>&1 || {
test_done
}
+perl -MCGI -MCGI::Util -MCGI::Carp -e 0 >/dev/null 2>&1 || {
+ skip_all='skipping gitweb tests, CGI module unusable'
+ test_done
+}
+
gitweb_init